
// https://code.earthengine.google.com/2f517cd10c167d6f216c5d6711e4f6fb

// Import NWI, as image 
var nwiImage = ee.Image("projects/nwi-hannahdruckenmiller/assets/NWI_image_30m_US");

// Make bands with each NWI wetland type 
var lake = nwiImage.select('first').remap([1], [1]).rename('lake');
var other = nwiImage.select('first').remap([2], [1]).rename('other');
var riverine = nwiImage.select('first').remap([3,10], [1,1]).rename('riverine');
var pond = nwiImage.select('first').remap([4], [1]).rename('pond');
var freshwater_emergent_wetland = nwiImage.select('first').remap([5], [1]).rename('freshwater_emergent_wetland');
var freshwater_forest_wetland = nwiImage.select('first').remap([6], [1]).rename('freshwater_forest_wetland');
var marine_wetland = nwiImage.select('first').remap([7], [1]).rename('marine_wetland');
var marine_deepwater = nwiImage.select('first').remap([8], [1]).rename('marine_deepwater');
var nwi_band = nwiImage.select('first').remap([1,2,3,4,5,6,7,8,9,10], 
[1,1,1,1,1,1,1,1,1,1]).rename('nwi');

var wetland = nwiImage.select('first').remap([5, 6, 7, 2], 
[1,1,1,1]).rename('wetland');



nwiImage = nwiImage.addBands(nwi_band);
nwiImage = nwiImage.addBands(wetland);


// Add projection 
//nwiImage = nwiImage.reproject('EPSG:4326', null, 10);

// Calculate areas 
nwiImage = nwiImage.addBands(nwiImage.select('nwi').multiply(ee.Image.pixelArea()).rename('nwi_any_m2'))
nwiImage = nwiImage.addBands(nwiImage.select('wetland').multiply(ee.Image.pixelArea()).rename('nwi_wetland_m2'))

// NWI area raster
var nwi_area = nwiImage.select(['nwi_any_m2', 'nwi_wetland_m2'])

// counties 
var counties = ee.FeatureCollection('TIGER/2016/Counties');


var nwi_counties = nwiImage.reduceRegions({
    collection: counties,
    reducer: ee.Reducer.sum(),
    scale: 30
   }).select(['.*'],null,false)
    


Export.table.toDrive({collection: nwi_counties,   
                  description: 'nwi_counties_wetland',   
                    fileFormat: 'CSV', 
                    folder: 'gee_downloads' });