
path <- "/Users/hannahdruckenmiller/Dropbox/Water_ArmyCorp/dataRAW/nwi/"

# Input script is county-level NWI and wetland area, in m2, calcualtd in GEE 
nwi <- read.csv(paste0(path, "nwi_counties_wetland.csv"))

# Add state identifier 
nwi$STATEFP <- substr(str_pad(nwi$GEOID, 5, pad = "0"), 1, 2)

# Aggregate to state level 
state <- aggregate(nwi[,c("nwi_any_m2", "nwi_wetland_m2")], by = list(nwi$STATEFP), FUN = "sum")
state <- subset(state, nwi_any_m2 > 0)
colnames(state)[1] <- "STATEFP"

# Agrregate to acres 
state$nwi_all_acres <- state$nwi_any_m2*(0.000247105)
state$nwi_wetland_acres <- state$nwi_wetland_m2*(0.000247105)

# Add state codes 
states <- as.data.frame(tigris::states(cb=T))
states <- states[,c("STATEFP", "STUSPS", "NAME")]
state <- merge(state[,c("STATEFP", "nwi_all_acres", "nwi_wetland_acres")], states, by = "STATEFP")

# Export data 
state <- state[,c("NAME", "STUSPS", "STATEFP", "nwi_all_acres", "nwi_wetland_acres")]
write.csv(state, paste0(path, "nwi_acres_by_state.csv"), row.names = F)


