'''
Process jds202204211420_clean.csv
'''

import pandas as pd
import numpy as np

df = pd.read_csv('./data/jds202204211420_clean.csv')

df = df[['JD ID', 'Project ID', 'JD Basis', 'Waters Names', 'Latitude', 'Longitude', 'Finalized Date', 
         'Resource Types', 'Water of the U.S.', 'State', 'County']]
df = df.rename({'JD ID': 'jdid', 'Project ID': 'projectid', 'Waters Names': 'watname', 'State': 'state',
                'JD Basis': 'jdbasis', 'Latitude': 'latitude', 'Longitude': 'longitude', 'Finalized Date': 'finalizeddate',
                'Resource Types': 'resourcetypes', 'Water of the U.S.': 'wotus', 'County': 'county'}, axis=1)

seasons = pd.read_csv('./data/wet_dry_season.csv', sep='\t')
df = df.merge(seasons, on=['jdid', 'projectid', 'watname', 'state'], how='inner')
df['pointid'] = [str(x).zfill(6) for x in np.arange(df.shape[0])]
df.to_csv('./data/jds_wet_dry_season_clean.csv', index=False)