'''
Process jds202205312309_clean.csv and merge with the processed version of 
jds202204211420_clean.csv
'''

import pandas as pd
import numpy as np

df = pd.read_csv('./data/jds202205312309_clean.csv')

df = df[['JD ID', 'Project ID', 'JD Basis', 'Waters Names', 'Latitude', 'Longitude', 'Finalized Date', 
         'Resource Types', 'Water of the U.S.', 'State', 'County']]
df = df.rename({'JD ID': 'jdid', 'Project ID': 'projectid', 'Waters Names': 'watname', 'State': 'state',
                'JD Basis': 'jdbasis', 'Latitude': 'latitude', 'Longitude': 'longitude', 'Finalized Date': 'finalizeddate',
                'Resource Types': 'resourcetypes', 'Water of the U.S.': 'wotus', 'County': 'county'}, axis=1)

seasons = pd.read_csv('./data/wet_dry_season-2.csv', sep='\t')
df = df.merge(seasons, on=['jdid', 'projectid', 'watname', 'state'], how='inner')

old_seasons = pd.read_csv('./data/jds_wet_dry_season_clean.csv')
new_points = df[~df['jdid'].isin(old_seasons['jdid'].values)]
new_points['pointid'] = np.arange(old_seasons['pointid'].max()+1, old_seasons['pointid'].max()+1+new_points.shape[0])

pd.concat([old_seasons, new_points]).to_csv('./data/jds_wet_dry_season_clean_v2.csv', index=False)