# `WOTUS-ML/dl_models`
This directory contains code for training and prediction of all the deep learning models in the paper.

There are four sub-directories, each referring to a different model target. Each is named for the target.

Each sub-directory has the same common structure:
* `train`, containing a single script, `train_model.py`, which was used to train each model. In addition, the `wotus` subdirectory contains a a subdirectory `layer_mean_sd`, which contains the means and standard deviations used to normalize the layers in all the models (note that inputs for all the models are identical). 
* `predict`, containing code for predicting using the trained model.
    * Note that the code in the `predict` directory often references a further subdirectory called `model_results`. This directory contained model results, including trained model weights and biases and prediction outputs. To avoid committing large files to a Git repository, these are not included here, and are instead provided on Dryad. 
    