
* set Dropbox path
global myDrop = "C:/Users/brantjwalker/Dropbox/Water_ArmyCorp"

* probability_wotus is main variable of interest
* prediction is 0 or 1 version of the probability


*==============================================================================*
*                         setup file for error analysis                        *
*==============================================================================*


* CNN predicted probabilities for all three rules
insheet using "$myDrop/results/predictions/wotus/main_model/model_results/test_set_predictions.csv", clear
ren probability_wotus prob_cnn
*ren labels ajd_decision
tempfile wotus_mlTestSet
sa "`wotus_mlTestSet.dta'", replace

* this has only a subset of the columns, and pointid
insheet using "$myDrop/dataRAW/ajds/AJD_jds_wet_dry_season_clean_v2.csv", clear
merge 1:1 pointid using "`wotus_mlTestSet.dta'", assert(1 3) keep(3) nogen
sa "`wotus_mlTestSet.dta'", replace

* this has the full AJDs with the pointid identifier
insheet using "$myDrop/dataRAW/ajds/20220531/jds202205312309.csv", clear
ren watersnames watname
* m:1 because there is one duplicate here (jdid=5184976, watname=WA)
merge m:1 jdid watname latitude longitude using "`wotus_mlTestSet.dta'", keep(3) nogen
sa "`wotus_mlTestSet.dta'", replace

* this makes loops below simpler
replace jdbasis = "Rapanos" if jdbasis == "1986/88"

g group_all = 1
g group_rapanos = jdbasis == "Rapanos"
g group_nwpr    = jdbasis == "NWPR"
g group_cwr     = jdbasis == "CWR"

g ajd_decision = wateroftheus == "Yes" if wateroftheus != ""
g       accuracy = ajd_decision == 1 if prob_cnn >= .5 & prob_cnn < .
replace accuracy = ajd_decision == 0 if prob_cnn <  .5 & prob_cnn < .

*==============================================================================*
*                               histogram result                               *
*==============================================================================*
	
*--------------------------------- test set -----------------------------------*

foreach r in all rapanos cwr nwpr {
	preserve
	
		keep if group_`r' == 1
		di as err "RESULTS BELOW SHOW `r': histogram of prob_cnn"
		histogram prob_cnn, bin(5) ///
		frac fcolor("31 119 180") ///
		graphr(color(white)) ///
		yscale(noline) ///
		xtit("WOTUS-ML Score", size(13-pt)) ///
		ytit("Share of AJDs", size(13-pt)) ///
		xlab(,labsize(10-pt)) ///
		ylab(,labsize(10-pt) angle(horizontal))
			
		graph export "$myDrop/results/figures/error_analysis/histogram_fittedprob_`r'_TestSet.png", width(10000) replace

	restore
}


*--------------------------- 4 million points set -----------------------------*

* need to load in model predictions from full 4 million point set
* perform same data construction as with test set

insheet using "$myDrop/results/predictions/wotus/main_model/model_results/preds.csv", clear

foreach r in rapanos cwr nwpr {
	di as err "RESULTS BELOW SHOW `r': histogram of `r'_prob"
	histogram `r'_prob, bin(5) ///
		frac fcolor("31 119 180") ///
		graphr(color(white)) ///
		yscale(noline) ///
		xtit("WOTUS-ML Score", size(13-pt)) ///
		ytit("Share of AJDs", size(13-pt)) ///
		xlab(,labsize(10-pt)) ///
		ylab(,labsize(10-pt) angle(horizontal))
			
		graph export "$myDrop/results/figures/error_analysis/histogram_fittedprob_`r'_4milpoints.png", width(10000) replace

}
